Obtem um prospect pelo id.
curl --request GET \
--url https://api.example.com/api/services/app/Crm/ObterProspectimport requests
url = "https://api.example.com/api/services/app/Crm/ObterProspect"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Crm/ObterProspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Crm/ObterProspect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Crm/ObterProspect"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Crm/ObterProspect")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Crm/ObterProspect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"segment": 123,
"observation": "<string>",
"registryCode": "<string>",
"postalCode": "<string>",
"street": "<string>",
"number": "<string>",
"additional": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"contactName": "<string>",
"contactEmail": "<string>",
"contactCellPhone": "<string>",
"contactRegistryCode": "<string>",
"contactBirth": "2023-11-07T05:31:56Z",
"group": "<string>",
"subsidiaries": 123,
"cdcSaude": true,
"cdcCelular": true,
"epCelular": true,
"cartaoLoja": true,
"fgtsBmp": true,
"operacaoCredito": true,
"status": 123
}Prospects
Obter prospect
GET
/
api
/
services
/
app
/
Crm
/
ObterProspect
Obtem um prospect pelo id.
curl --request GET \
--url https://api.example.com/api/services/app/Crm/ObterProspectimport requests
url = "https://api.example.com/api/services/app/Crm/ObterProspect"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Crm/ObterProspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Crm/ObterProspect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Crm/ObterProspect"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Crm/ObterProspect")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Crm/ObterProspect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"segment": 123,
"observation": "<string>",
"registryCode": "<string>",
"postalCode": "<string>",
"street": "<string>",
"number": "<string>",
"additional": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"contactName": "<string>",
"contactEmail": "<string>",
"contactCellPhone": "<string>",
"contactRegistryCode": "<string>",
"contactBirth": "2023-11-07T05:31:56Z",
"group": "<string>",
"subsidiaries": 123,
"cdcSaude": true,
"cdcCelular": true,
"epCelular": true,
"cartaoLoja": true,
"fgtsBmp": true,
"operacaoCredito": true,
"status": 123
}Obtém um prospect pelo
id.
Autentique-se antes (Autenticação). Os campos abaixo são o conteúdo de
result do envelope da API.curl -X GET "https://gateway.hubcred.com.br/external/v1/api/services/app/Crm/ObterProspect?id=123" \n -H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Response
OK
Prospect (lead comercial) para criar, atualizar e obter.
Id do prospect. Nulo ao criar; obrigatorio ao atualizar.
Segmento: 1 Materiais de construcao, 2 Moveis e eletro, 3 Saude, 4 Roupas e calcados, 5 Supermercados, 0 Outros.
CPF/CNPJ do prospect.
Status: 0 Lead, 1 Em Atendimento, 2 Ganho, 3 Perda.